<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: EDMA3_RM_Instance Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>EDMA3_RM_Instance Struct Reference<br>
<small>
[<a class="el" href="group__Edma3ResMgrIntObjMaint.html">Object Maintenance</a>]</small>
</h1><!-- doxytag: class="EDMA3_RM_Instance" -->EDMA3 RM Instance Specific Configuration Structure.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="edma3resmgr_8h_source.html">edma3resmgr.h</a>&gt;</code>
<p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structEDMA3__RM__Param.html">EDMA3_RM_Param</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Instance.html#9ea516313f4cbf1203ed945b75120770">initParam</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">EDMA3_CCRL_ShadowRegs *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Instance.html#b3bc4cc87520c8156b0569600b9678e5">shadowRegs</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structEDMA3__RM__Obj.html">EDMA3_RM_Obj</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Instance.html#c8c4e0d16fe56d1465b4860f11060733">pResMgrObjHandle</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Instance.html#c79c170f0c84f077084772c06334e72c">avlblDmaChannels</a> [EDMA3_MAX_DMA_CHAN_DWRDS]</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Instance.html#b1377abba4e39bb4c32f69898be3ab1d">avlblQdmaChannels</a> [EDMA3_MAX_QDMA_CHAN_DWRDS]</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Instance.html#bca40d62bbca7c0e31a8945e7a61f2f2">avlblPaRAMSets</a> [EDMA3_MAX_PARAM_DWRDS]</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Instance.html#a25e136d2bae2f3a8c159bf6aa38e84e">avlblTccs</a> [EDMA3_MAX_TCC_DWRDS]</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Instance.html#750feffdd410001a563b312cd6d1442c">paramInitRequired</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Instance.html#9994deccfdf8a63db677311aced1db79">regModificationRequired</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
EDMA3 RM Instance Specific Configuration Structure. 
<p>
Used to maintain information of the EDMA3 Res Mgr instances. One such storage exists for each instance of the EDMA3 Res Mgr.<p>
Maximum EDMA3_MAX_RM_INSTANCES instances are allowed for each EDMA3 hardware instance, for same or different shadow regions. <hr><h2>Field Documentation</h2>
<a class="anchor" name="c79c170f0c84f077084772c06334e72c"></a><!-- doxytag: member="EDMA3_RM_Instance::avlblDmaChannels" ref="c79c170f0c84f077084772c06334e72c" args="[EDMA3_MAX_DMA_CHAN_DWRDS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__Instance.html#c79c170f0c84f077084772c06334e72c">EDMA3_RM_Instance::avlblDmaChannels</a>[EDMA3_MAX_DMA_CHAN_DWRDS]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Available DMA Channels to the RM Instance 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00957">EDMA3_RM_close()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01718">EDMA3_RM_freeResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03072">EDMA3_RM_mapEdmaChannel()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>.</p>

</div>
</div><p>
<a class="anchor" name="bca40d62bbca7c0e31a8945e7a61f2f2"></a><!-- doxytag: member="EDMA3_RM_Instance::avlblPaRAMSets" ref="bca40d62bbca7c0e31a8945e7a61f2f2" args="[EDMA3_MAX_PARAM_DWRDS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__Instance.html#bca40d62bbca7c0e31a8945e7a61f2f2">EDMA3_RM_Instance::avlblPaRAMSets</a>[EDMA3_MAX_PARAM_DWRDS]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Available PaRAM Sets to the RM Instance 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00957">EDMA3_RM_close()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01718">EDMA3_RM_freeResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03072">EDMA3_RM_mapEdmaChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03229">EDMA3_RM_mapQdmaChannel()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>.</p>

</div>
</div><p>
<a class="anchor" name="b1377abba4e39bb4c32f69898be3ab1d"></a><!-- doxytag: member="EDMA3_RM_Instance::avlblQdmaChannels" ref="b1377abba4e39bb4c32f69898be3ab1d" args="[EDMA3_MAX_QDMA_CHAN_DWRDS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__Instance.html#b1377abba4e39bb4c32f69898be3ab1d">EDMA3_RM_Instance::avlblQdmaChannels</a>[EDMA3_MAX_QDMA_CHAN_DWRDS]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Available QDMA Channels to the RM Instance 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00957">EDMA3_RM_close()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01718">EDMA3_RM_freeResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03229">EDMA3_RM_mapQdmaChannel()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>.</p>

</div>
</div><p>
<a class="anchor" name="a25e136d2bae2f3a8c159bf6aa38e84e"></a><!-- doxytag: member="EDMA3_RM_Instance::avlblTccs" ref="a25e136d2bae2f3a8c159bf6aa38e84e" args="[EDMA3_MAX_TCC_DWRDS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__Instance.html#a25e136d2bae2f3a8c159bf6aa38e84e">EDMA3_RM_Instance::avlblTccs</a>[EDMA3_MAX_TCC_DWRDS]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Available TCCs to the RM Instance 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00957">EDMA3_RM_close()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01718">EDMA3_RM_freeResource()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>.</p>

</div>
</div><p>
<a class="anchor" name="9ea516313f4cbf1203ed945b75120770"></a><!-- doxytag: member="EDMA3_RM_Instance::initParam" ref="9ea516313f4cbf1203ed945b75120770" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structEDMA3__RM__Param.html">EDMA3_RM_Param</a> <a class="el" href="structEDMA3__RM__Instance.html#9ea516313f4cbf1203ed945b75120770">EDMA3_RM_Instance::initParam</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Configuration such as region id, IsMaster, Callback function This configuration is passed to the "Open" API. For a single EDMA3 HW controller, there can be EDMA3_MAX_REGIONS different instances tied to different regions. 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04708">EDMA3_RM_checkAndClearTcc()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00957">EDMA3_RM_close()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01718">EDMA3_RM_freeResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03072">EDMA3_RM_mapEdmaChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03229">EDMA3_RM_mapQdmaChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04394">EDMA3_RM_setCCRegister()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l04572">EDMA3_RM_waitAndClearTcc()</a>.</p>

</div>
</div><p>
<a class="anchor" name="750feffdd410001a563b312cd6d1442c"></a><!-- doxytag: member="EDMA3_RM_Instance::paramInitRequired" ref="750feffdd410001a563b312cd6d1442c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__Instance.html#750feffdd410001a563b312cd6d1442c">EDMA3_RM_Instance::paramInitRequired</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sometimes, PaRAM clearing is not required for some particular RM Instances. In that case, PaRAM Sets allocated will NOT be cleared before allocating to any particular user. It is the responsibility of user to program it accordingly, without assuming anything for a specific field because the PaRAM Set might contain junk values. Not programming it fully might result in erroneous behavior. On the other hand, RM instances can also use this variable to get the PaRAM Sets cleared before allocating them to the specific user. User can program only the selected fields in this case.<p>
Value '0' : PaRAM Sets will NOT be cleared during their allocation. Value '1' : PaRAM Sets will be cleared during their allocation.<p>
This value can be modified using the IOCTL commands. 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05611">EDMA3_RM_Ioctl()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>.</p>

</div>
</div><p>
<a class="anchor" name="c8c4e0d16fe56d1465b4860f11060733"></a><!-- doxytag: member="EDMA3_RM_Instance::pResMgrObjHandle" ref="c8c4e0d16fe56d1465b4860f11060733" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structEDMA3__RM__Obj.html">EDMA3_RM_Obj</a>* <a class="el" href="structEDMA3__RM__Instance.html#c8c4e0d16fe56d1465b4860f11060733">EDMA3_RM_Instance::pResMgrObjHandle</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer to the EDMA3 RM Object (HW specific) opened by RM instance. 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02086">EDMA3_RM_allocLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04708">EDMA3_RM_checkAndClearTcc()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00957">EDMA3_RM_close()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04269">EDMA3_RM_freeContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01718">EDMA3_RM_freeResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05339">EDMA3_RM_getBaseAddress()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04487">EDMA3_RM_getCCRegister()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05512">EDMA3_RM_getInstanceInitCfg()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05006">EDMA3_RM_getPaRAM()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05179">EDMA3_RM_getPaRAMPhyAddr()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03072">EDMA3_RM_mapEdmaChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03229">EDMA3_RM_mapQdmaChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03381">EDMA3_RM_registerTccCb()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04394">EDMA3_RM_setCCRegister()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04842">EDMA3_RM_setPaRAM()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03541">EDMA3_RM_unregisterTccCb()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l04572">EDMA3_RM_waitAndClearTcc()</a>.</p>

</div>
</div><p>
<a class="anchor" name="9994deccfdf8a63db677311aced1db79"></a><!-- doxytag: member="EDMA3_RM_Instance::regModificationRequired" ref="9994deccfdf8a63db677311aced1db79" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__Instance.html#9994deccfdf8a63db677311aced1db79">EDMA3_RM_Instance::regModificationRequired</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sometimes, global EDMA3 registers (DCHMAP/QCHMAP) and PaRAM Sets should not be modified during EDMA3_RM_allocLogicalChannel (), for some particular RM Instances. In that case, it is the responsibility of user to program them accordingly, when needed, without assuming anything because they might contain junk values. Not programming the registers/PaRAMs fully might result in erroneous behavior. On the other hand, RM instances can also use this variable to get the global registers and PaRAM Sets minimally programmed before allocating them to the specific user. User can program only the remaining fields in this case.<p>
Value '0' : EDMA3 registers (DCHMAP/QCHMAP) and PaRAM Sets will NOT be programmed during their allocation. Value '1' : EDMA3 registers (DCHMAP/QCHMAP) and PaRAM Sets will be programmed during their allocation.<p>
This value can be modified using the IOCTL commands. 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l02086">EDMA3_RM_allocLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01718">EDMA3_RM_freeResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05611">EDMA3_RM_Ioctl()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>.</p>

</div>
</div><p>
<a class="anchor" name="b3bc4cc87520c8156b0569600b9678e5"></a><!-- doxytag: member="EDMA3_RM_Instance::shadowRegs" ref="b3bc4cc87520c8156b0569600b9678e5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">EDMA3_CCRL_ShadowRegs* <a class="el" href="structEDMA3__RM__Instance.html#b3bc4cc87520c8156b0569600b9678e5">EDMA3_RM_Instance::shadowRegs</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer to appropriate Shadow Register region of CC Registers 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02086">EDMA3_RM_allocLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00957">EDMA3_RM_close()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03381">EDMA3_RM_registerTccCb()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l03541">EDMA3_RM_unregisterTccCb()</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="edma3resmgr_8h_source.html">edma3resmgr.h</a></ul>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:49 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
